%define gittag g187bb9b
%define		major		1.0
%define		libname		%mklibname OpenImageIO %{major}
%define		develname	%mklibname OpenImageIO -d

Name:		openimageio
Version:	1.0.8
Release:	%mkrel 7
Summary:	Library for reading and writing images
Group:		System/Libraries
License:	BSD
URL:		https://sites.google.com/site/openimageio/home
Source0:	https://download.github.com/OpenImageIO-oiio-Release-%{version}-0-%{gittag}.tar.gz
Patch1:		OpenImageIO-1.0.2-dl.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	glew-devel
BuildRequires:	qt4-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	ilmbase-devel
BuildRequires:	python-devel
BuildRequires:	txt2man
BuildRequires:	png-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel
BuildRequires:	jasper-devel
BuildRequires:	openjpeg-devel
BuildRequires:	libjpeg-devel
BuildRequires:	pugixml-devel
Obsoletes:	OpenImageIO < %{version}

%description
OpenImageIO is a library for reading and writing images, and a bunch of related
classes, utilities, and applications. Main features include:
- Extremely simple but powerful ImageInput and ImageOutput APIs for reading and
  writing 2D images that is format agnostic.
- Format plugins for TIFF, JPEG/JFIF, OpenEXR, PNG, HDR/RGBE, Targa, JPEG-2000,
  DPX, Cineon, FITS, BMP, ICO, RMan Zfile, Softimage PIC, DDS, SGI,
  PNM/PPM/PGM/PBM, Field3d.
- An ImageCache class that transparently manages a cache so that it can access
  truly vast amounts of image data.
- A really nice image viewer, iv, also based on OpenImageIO classes (and so
  will work with any formats for which plugins are available).

%package -n %{libname}
Summary:	A library for reading and writing images
Group:		System/Libraries

%description -n %{libname}
OpenImageIO is a library for reading and writing images.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name} library.

%prep
%setup -qn OpenImageIO-oiio-d075f3d

%patch1 -p1 -b .dl~

# Remove bundled pugixml
rm -f src/include/pugixml.hpp \
      src/include/pugiconfig.hpp \
      src/libutil/pugixml.cpp

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=TRUE \
       -DPYLIB_INSTALL_DIR:PATH=%{python_sitearch} \
       -DINCLUDE_INSTALL_DIR:PATH=/usr/include/OpenImageIO \
       -DINSTALL_DOCS:BOOL=OFF \
       -DUSE_EXTERNAL_PUGIXML:BOOL=ON \
       ../src

%make

%install
%makeinstall_std -C build

# Move man pages to the right directory
%__mkdir_p %{buildroot}%{_mandir}/man1
%__cp -a build/doc/*.1 %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root)
%doc CHANGES LICENSE
%{_bindir}/*
%{python_sitearch}/OpenImageIO.so
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libOpenImageIO.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc src/doc/*.pdf
%{_libdir}/libOpenImageIO.so
%{_includedir}/*


%changelog

* Thu Apr 11 2013 barjac <barjac> 1.0.8-7.mga3
+ Revision: 409667
- rebuild for boost-1.53

* Sun Jan 13 2013 umeabot <umeabot> 1.0.8-6.mga3
+ Revision: 362041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.0.8-5.mga3
+ Revision: 332957
- rebuild for new boost

* Sun Dec 02 2012 fwang <fwang> 1.0.8-4.mga3
+ Revision: 325021
- rebuild for  new openexr

* Sun Oct 07 2012 fwang <fwang> 1.0.8-3.mga3
+ Revision: 303247
- rebuild for new openjpeg

* Tue Aug 21 2012 fwang <fwang> 1.0.8-2.mga3
+ Revision: 282870
- rebuild for new glew

* Tue Jul 31 2012 fwang <fwang> 1.0.8-1.mga3
+ Revision: 276474
- new version 1.0.8
- rebuild for new glew

* Tue May 29 2012 fwang <fwang> 1.0.4-2.mga3
+ Revision: 249531
- rebuild for new boost

* Fri May 25 2012 fwang <fwang> 1.0.4-1.mga3
+ Revision: 236018
- fix upgrade from previous name
- br jpeg
- imported package openimageio

